=== modified file '__init__.py'
--- __init__.py	2006-03-22 22:18:19 +0000
+++ __init__.py	2006-03-22 22:25:30 +0000
@@ -267,7 +267,7 @@
     Remove a checkout, if it can be done safely. <BZRTOOLS>
 
     This command will remove a checkout without losing data.  That means
-    it only removes checkouts, 
+    it only removes checkouts, and only if they have no uncommitted changes.
     """
     takes_args = ["checkout"]
     def run(self, checkout):

=== modified file 'errors.py'
--- errors.py	2006-03-22 22:18:19 +0000
+++ errors.py	2006-03-22 22:25:30 +0000
@@ -29,6 +29,10 @@
 
 class NotCheckout(CommandError):
     """Specified path is not a checkout."""
+    def __init__(self, path):
+        CommandError.__init__(self, "%s is not a checkout" % path)
 
 class UncommittedCheckout(CommandError):
     """This checkout contains uncommitted changes"""
+    def __init__(self):
+        CommandError.__init__(self, "This checkout has uncommitted changes")

